import React from 'react';
import { View, StyleSheet } from 'react-native';
import { useCalendarContext } from '../calendar-context';
import { getParsedDate, getMonths, cn } from '../utils';
import { ThemedPressable, ThemedText } from '../ui';
const Months = () => {
  var _getMonths;
  const {
    currentDate,
    onSelectMonth,
    styles,
    classNames
  } = useCalendarContext();
  const {
    month
  } = getParsedDate(currentDate);
  const containerStyle = StyleSheet.flatten([defaultStyles.container, styles === null || styles === void 0 ? void 0 : styles.months]);
  return /*#__PURE__*/React.createElement(View, {
    style: containerStyle,
    testID: "month-selector"
  }, /*#__PURE__*/React.createElement(View, {
    style: defaultStyles.monthsContainer
  }, (_getMonths = getMonths()) === null || _getMonths === void 0 ? void 0 : _getMonths.map((item, index) => {
    const activeItemStyle = index === month ? styles === null || styles === void 0 ? void 0 : styles.selected_month : {};
    const textStyle = index === month ? styles === null || styles === void 0 ? void 0 : styles.selected_month_label : {};
    const containerClassName = cn(index === month ? classNames === null || classNames === void 0 ? void 0 : classNames.selected_month : classNames === null || classNames === void 0 ? void 0 : classNames.month);
    const textClassName = cn(index === month ? classNames === null || classNames === void 0 ? void 0 : classNames.selected_month_label : classNames === null || classNames === void 0 ? void 0 : classNames.month_label);
    return /*#__PURE__*/React.createElement(View, {
      key: index,
      style: defaultStyles.monthCell
    }, /*#__PURE__*/React.createElement(ThemedPressable, {
      onPress: () => onSelectMonth(index),
      accessibilityRole: "button",
      accessibilityLabel: item,
      style: [defaultStyles.month, styles === null || styles === void 0 ? void 0 : styles.month, activeItemStyle],
      className: containerClassName
    }, /*#__PURE__*/React.createElement(ThemedText, {
      key: index,
      style: textStyle,
      className: textClassName
    }, item)));
  })));
};
const defaultStyles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center'
  },
  monthsContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap'
  },
  monthCell: {
    width: '33.3%'
  },
  month: {
    paddingVertical: 15,
    margin: 2,
    alignItems: 'center'
  }
});
export default Months;
//# sourceMappingURL=months.js.map