import React, { memo, useMemo } from 'react';
import { StyleSheet } from 'react-native';
import { getWeekdaysMin } from '../utils';
import { ThemedText, ThemedView } from '../ui';
import { WEEKDAYS_HEIGHT } from '../enums';
const Weekdays = ({
  locale,
  firstDayOfWeek,
  styles = {},
  classNames = {},
  weekdays = 'min',
  weekdaysHeight = WEEKDAYS_HEIGHT
}) => {
  var _getWeekdaysMin;
  const style = useMemo(() => createDefaultStyles(weekdaysHeight), [weekdaysHeight]);
  return /*#__PURE__*/React.createElement(ThemedView, {
    style: [style.container, styles.weekdays],
    className: classNames.weekdays,
    testID: "weekdays"
  }, (_getWeekdaysMin = getWeekdaysMin(locale, firstDayOfWeek, weekdays)) === null || _getWeekdaysMin === void 0 ? void 0 : _getWeekdaysMin.map((weekday, index) => /*#__PURE__*/React.createElement(ThemedView, {
    key: index,
    style: [style.weekday, styles.weekday],
    className: classNames.weekday
  }, /*#__PURE__*/React.createElement(ThemedText, {
    style: styles === null || styles === void 0 ? void 0 : styles.weekday_label,
    className: classNames.weekday_label
  }, weekday))));
};
export default /*#__PURE__*/memo(Weekdays);
const createDefaultStyles = weekdaysHeight => StyleSheet.create({
  container: {
    height: weekdaysHeight,
    width: '100%',
    flexDirection: 'row',
    alignItems: 'center'
  },
  weekday: {
    width: `${100 / 7}%`,
    alignItems: 'center',
    justifyContent: 'center'
  }
});
//# sourceMappingURL=weekdays.js.map